## org.eclipse.m2m.atl.adt.ui.outline
Class AtlEMFConstants

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.outline.AtlEMFConstants

    public abstract class AtlEMFConstants

extends java.lang.Object

Field Summary
`static org.eclipse.emf.ecore.EClass` `clCalledRule`
`static org.eclipse.emf.ecore.EClass` `clElement`
`static org.eclipse.emf.ecore.EClass` `clHelper`
`static org.eclipse.emf.ecore.EClass` `clInPattern`
`static org.eclipse.emf.ecore.EClass` `clInPatternElement`
`static org.eclipse.emf.ecore.EClass` `clLazyMatchedRule`
`static org.eclipse.emf.ecore.EClass` `clLibrary`
`static org.eclipse.emf.ecore.EClass` `clLibraryRef`
`static org.eclipse.emf.ecore.EClass` `clMatchedRule`
`static org.eclipse.emf.ecore.EClass` `clModule`
`static org.eclipse.emf.ecore.EClass` `clOclFeature`
`static org.eclipse.emf.ecore.EClass` `clOclFeatureDefinition`
`static org.eclipse.emf.ecore.EClass` `clOclModel`
`static org.eclipse.emf.ecore.EClass` `clOutPattern`
`static org.eclipse.emf.ecore.EClass` `clOutPatternElement`
`static org.eclipse.emf.ecore.EClass` `clParameter`
`static org.eclipse.emf.ecore.EClass` `clPatternElement`
`static org.eclipse.emf.ecore.EClass` `clQuery`
`static org.eclipse.emf.ecore.EClass` `clRule`
`static org.eclipse.emf.ecore.EClass` `clRuleVariableDeclaration`
`static org.eclipse.emf.ecore.EClass` `clSimpleInPatternElement`
`static org.eclipse.emf.ecore.EClass` `clSimpleOutPatternElement`
`static org.eclipse.emf.ecore.EClass` `clUnit`
`static org.eclipse.emf.ecore.EClass` `clVariableDeclaration`
`static org.eclipse.emf.ecore.EPackage` `pkAtl`
`static org.eclipse.emf.ecore.EPackage` `pkCore`
`static org.eclipse.emf.ecore.EPackage` `pkExpressions`
`static org.eclipse.emf.ecore.EPackage` `pkOcl`
`static org.eclipse.emf.ecore.EStructuralFeature` `sfHelperDefinition`
`static org.eclipse.emf.ecore.EStructuralFeature` `sfLocation`
`static org.eclipse.emf.ecore.EStructuralFeature` `sfModuleElements`
`static org.eclipse.emf.ecore.EStructuralFeature` `sfVarName`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pkAtl

    public static org.eclipse.emf.ecore.EPackage pkAtl

### clUnit

    public static org.eclipse.emf.ecore.EClass clUnit

### clModule

    public static org.eclipse.emf.ecore.EClass clModule

### clLibrary

    public static org.eclipse.emf.ecore.EClass clLibrary

### clQuery

    public static org.eclipse.emf.ecore.EClass clQuery

### sfModuleElements

    public static org.eclipse.emf.ecore.EStructuralFeature sfModuleElements

### clRule

    public static org.eclipse.emf.ecore.EClass clRule

### clMatchedRule

    public static org.eclipse.emf.ecore.EClass clMatchedRule

### clLazyMatchedRule

    public static org.eclipse.emf.ecore.EClass clLazyMatchedRule

### clCalledRule

    public static org.eclipse.emf.ecore.EClass clCalledRule

### clHelper

    public static org.eclipse.emf.ecore.EClass clHelper

### sfHelperDefinition

    public static org.eclipse.emf.ecore.EStructuralFeature sfHelperDefinition

### clLibraryRef

    public static org.eclipse.emf.ecore.EClass clLibraryRef

### clPatternElement

    public static org.eclipse.emf.ecore.EClass clPatternElement

### clRuleVariableDeclaration

    public static org.eclipse.emf.ecore.EClass clRuleVariableDeclaration

### clInPatternElement

    public static org.eclipse.emf.ecore.EClass clInPatternElement

### clOutPatternElement

    public static org.eclipse.emf.ecore.EClass clOutPatternElement

### clSimpleInPatternElement

    public static org.eclipse.emf.ecore.EClass clSimpleInPatternElement

### clSimpleOutPatternElement

    public static org.eclipse.emf.ecore.EClass clSimpleOutPatternElement

### clInPattern

    public static org.eclipse.emf.ecore.EClass clInPattern

### clOutPattern

    public static org.eclipse.emf.ecore.EClass clOutPattern

### pkExpressions

    public static org.eclipse.emf.ecore.EPackage pkExpressions

### clVariableDeclaration

    public static org.eclipse.emf.ecore.EClass clVariableDeclaration

### sfVarName

    public static org.eclipse.emf.ecore.EStructuralFeature sfVarName

### pkOcl

    public static org.eclipse.emf.ecore.EPackage pkOcl

### clOclFeatureDefinition

    public static org.eclipse.emf.ecore.EClass clOclFeatureDefinition

### clOclFeature

    public static org.eclipse.emf.ecore.EClass clOclFeature

### clOclModel

    public static org.eclipse.emf.ecore.EClass clOclModel

### clParameter

    public static org.eclipse.emf.ecore.EClass clParameter

### pkCore

    public static org.eclipse.emf.ecore.EPackage pkCore

### clElement

    public static org.eclipse.emf.ecore.EClass clElement

### sfLocation

    public static org.eclipse.emf.ecore.EStructuralFeature sfLocation

Copyright 2007 IBM Corporation and others. All Rights Reserved.